@media(min-width:768px){
    .image-container{grid-template-columns: repeat(auto-fit,  minmax(310px, 1fr) );grid-auto-rows: 310px;grid-auto-flow:dense;}
    .big{grid-column: span 2;grid-row:span 2;}
    .wide{grid-column: span 2;}
    .tall{grid-row: span 2;}
}
@media only screen and (min-width: 992px){
    #owl-dholera-investment-icon.owl-carousel .owl-stage,
    #owl-dholera-sir-icon.owl-carousel .owl-stage{width: 100% !important;display: flex;flex-direction: row;flex-wrap: wrap;justify-content: center;transform: unset !important;gap: 30px;}
    #owl-dholera-investment-icon.owl-carousel.owl-drag .owl-item,
    #owl-dholera-sir-icon.owl-carousel.owl-drag .owl-item{width: 200px !important;}
    .owl-carousel .owl-stage:after{display: none !important;}
    .home_investment_list .card{width: 200px;}
    #owl-dholera-sir-icon.owl-carousel.owl-drag .owl-item{width: 250px !important;}
    .home_investment_list #owl-dholera-sir-icon .card{width: 250px;}

    /*------Company Profile Page------*/
    .tab-accordion .accordion-item{border: 0;}
    .tab-accordion .accordion-header{display: none;}
}
@media only screen and (min-width: 1200px){
    .nav-item.logo{display: none;}
    header.top_header nav.navbar ul.navbar-nav > li.dropdown .dropdown-menu {
        padding: 0;
        left: 50%;
        top: 50px;
        border: none;
        display: block;
        background: #ffffff;
        min-width: 478px;
        opacity: 0;
        visibility: hidden;
        transform: scaleY(0) translateX(calc(-50% + 0px));
        transition: 0.4s all;
        transform-origin: top;
        box-shadow: 5px 5px 20px -5px rgb(22 32 42 / 25%);
        columns: 2;
        padding: 15px;
        border-radius: 5px;
        overflow: hidden;
        border: 1px solid rgb(68 68 68 / 10%);
    }
    header.top_header nav.navbar ul.navbar-nav > li.dropdown:hover .dropdown-menu {
        opacity: 1;
        transform: scaleY(1) translateX(calc(-50% + 0px));
        visibility: visible;
    }   
    #owl-activation-icon.owl-carousel .owl-stage{width: 100% !important;display: flex;flex-direction: row;flex-wrap: wrap;justify-content: center;transform: unset !important;}
}
@media only screen and (min-width: 1400px){
    .container, .container-xl, .container-xxl{max-width: 1375px;}
    .container-fluid{max-width: 1920px;}
}

@media only screen and (max-width: 1499px) {
    header.top_header .navbar .navbar_logo a img{max-width: 280px;}
}
@media only screen and (max-width: 1399px) {
    header.top_header .navbar .navbar_logo a img{max-width: 260px;}
    header.top_header .navbar ul li a{margin: 0;letter-spacing: 0.2px;}
    header.top_header .navbar ul li.arrow-none a{margin-left: 12px;margin-right: 20px;padding: 12px 15px;font-size: 16px;}
    header.top_header .navbar ul li.nav-item.dropdown:after, header.top_header .navbar ul li.nav-item.dropdown:before{right: 10px;transform: translateY(calc(-50% - 1px));}
    header.top_header .navbar ul li.nav-item.dropdown:before{transform: translateY(calc(-50% - 1px)) rotate(90deg);}
    header.top_header .navbar ul li.nav-item.dropdown:hover:before{transform: translateY(calc(-50% - 1px)) rotate(0deg);}
    .slider_details{max-width: 1140px;}
    /*------DholeraSIR Page------*/
    .dholera-sec-4 .connectivity-card{position: unset;}
    /*------Contact Page------*/
    .contact-detail-area .contact-detail-card .icon{width: 60px;}
}
@media only screen and (max-width: 1399px) and (min-width: 992px) {
    /*------Contact Page------*/
    .contact-detail-area .contact-detail-card p.address{white-space: unset;}
}
@media only screen and (max-width: 1299px) {
    header.top_header .navbar .navbar_logo{margin: 5px 15px;}
    header.top_header .navbar .navbar_logo a img{max-width: 220px;}
    header.top_header .navbar ul li.arrow-none a{margin-left: 12px;margin-right: 15px;padding: 8px 10px;font-size: 15px;}
}
@media only screen and (max-width: 1199px){
    header.top_header{position: sticky;top: 0;background: #fff;box-shadow: 0 0 20px 0 rgb(0 0 0/20%);z-index: 2;}
    .navbar-collapse{position: absolute;top: 0;left: 0;width: 320px;height: 100vh;box-shadow: 0 0 30px 0px rgb(0 0 0 /20%);z-index: 2;transition: 500ms;}
    .navbar-collapse .navbar-nav{height: 100%;background: #fff;overflow-y: auto;}
    .navbar-collapse.collapse:not(.show){display: block;left: -320px;box-shadow: 0 0 30px 0px rgb(0 0 0 /0%);}

    .navbar-collapse.collapse .menu-overlay{position: absolute;top: 0;left: 0;width: 100vw;height: 100vh;z-index: -1;transition: 0.3s;}
    .navbar-collapse.collapse:not(.show) .menu-overlay{width: 0;}
    .nav-item.logo{margin: 15px auto;max-width: 80%;border-bottom: 1px solid rgb(0 0 0 /10%);}
    .nav-item.logo a{padding: 12px 8px;}
    header.top_header .navbar ul li a{padding: 12px 30px;}
    header.top_header .navbar ul li.nav-item.dropdown a{padding: 12px 30px;}
    header.top_header .navbar ul li.nav-item.dropdown::before{top: 22px;right: 22px;transform: translateY(0) rotate(90deg);}
    header.top_header .navbar ul li.nav-item.dropdown::after{top: 22px;right: 22px;transform: translateY(0);}
    header.top_header .navbar ul li.nav-item.dropdown:hover::before{top: 22px;transform: translateY(0) rotate(0deg);}
    header.top_header .navbar ul.navbar-nav .dropdown-menu{display: block;margin: 0 30px 0 40px;padding: 0;max-height: 280px;border: 0;overflow-y: hidden;transition: max-height 0.5s, overflow-y 0.5s 0.5s;}
    header.top_header .navbar ul.navbar-nav .dropdown-menu.show{overflow-y: auto;}
    header.top_header .navbar ul.navbar-nav .dropdown-menu:not(.show){max-height: 0;}
    header.top_header .navbar ul li.nav-item.dropdown ul li a{padding: 8px 8px 8px 15px;line-height: 1.2;white-space: normal;}
    header.top_header .navbar ul li.arrow-none a{display: inline-block;margin: 15px 30px 0 30px;}

    .slider_details{max-width: 960px;}
    .slider_details h1{font-size: 40px;}
    .slider_details p{font-size: 17px;}
    .slider_details .button_style{padding: 16px 20px;font-size: 14px;}

    .title_name span{font-size: 14px;}
    .title_name h2{font-size: 36px;}
    .title_name h4{font-size: 18px;}
    p{font-size: 15px;}
    .read_more{font-size: 11px;padding: 10px 24px 10px 12px;}
    .contact-form-area .read_more{
        padding: 14px 24px 14px 12px;
    }
    ul.list_point li{font-size: 15px;}

    .home_about_details a, .home_dholera_sir a{margin-top: 24px;}
    .home_dholera_sir_right{position: relative;margin: 30px auto 0;width: 90%;aspect-ratio: 2/1;}

    .smart_city_direction{max-width: 1140px;}

    .footer_part{padding: 30px 0;}
    .footer_logo{max-width: 300px;}
    .footer_list{margin-bottom: 30px;}
    .footer_list.footer_loaction{padding-left: 20px;}
    .footer_list.footer_social{display: flex;padding-left: 0;margin-bottom: 0;}
    .footer_list.footer_social diV{padding-left: 20px;}
    .footer_list.footer_social a{margin-bottom: 0;}
    .footer_copyright ul{padding: 17px 5px;}

    /*------Company Profile Page------*/
    .tab-accordion .accordion-body .card-area{flex-direction: column;}
    .tab-accordion .accordion-body .title_name{width: 100%;}
    .tab-accordion .accordion-body .card-area .card-image-area{margin: 30px auto 0;}
    /*------Investment Page------*/
    .details_list li{width: calc(50% - 30px);}
    .invest-carousel{top: 90px;}
    .icon-card-area .icon-card{min-height: 143px;}
    header.top_header nav.navbar ul.navbar-nav > li.dropdown .dropdown-menu.n_width {min-width: auto;}
}
@media only screen and (max-width: 991px){
    .slider_details{max-width: 720px;}
    .slider_details h1{font-size: 30px;}
    .slider_details p{font-size: 15px;}
    .slider_details .button_style{margin-top: 28px;}
    .home_slider .carousel-control-next, .home_slider .carousel-control-prev{height: 40px;width: 40px;}
    .home_slider .carousel-control-next{left: 70px;}
    .home_slider .carousel-control-prev:after, .home_slider .carousel-control-next:after{height: 40px;width: 40px;background-size: 18px;}

    .home_about_img{margin-top: 30px;width: 100%;text-align: center;}
    .home_investment_destination a{margin: 10px 0 0 30px;}
    .home_dholera_smart_city_slide{margin-top: 25px;}
    .smart_city_direction{max-width: 960px;bottom: 30px;}
    .smart_city_direction .swiper-pagination{max-width: 525px;}
    .smart_city_direction .swiper-button-next, .smart_city_direction .swiper-button-prev{height: 70px;width: 70px;}
    .swiper-button-next, .swiper-rtl .swiper-button-prev{right: var(--swiper-navigation-sides-offset,6px);}

    .footer_part_1 .footer_logo{max-width: 260px;}
    .footer_list.footer_social{flex-direction: column;}
    .footer_list.footer_social diV{margin-bottom: 10px;}
    .footer_list.footer_social diV:last-child{margin-bottom: 0;}

    #request_quote .modal-dialog .modal-content:after{display: none;}

    /*------Company Profile Page------*/
    .profile-area{margin: 0 auto 20px;max-width: 300px;}
    .accordion-tab-nav{display: none;}
    .tab-accordion .accordion-body{padding: 20px 0;}
    .float-image{margin: 0 auto 15px;display: block;float: unset;max-width: 100%;}
    .profile-sec-1{padding: 40px 0;}
    .profile-sec-2{padding: 40px 0;}
    .profile-sec-3{padding: 40px 0;}
    .profile-sec-4{padding: 40px 0;}
    .profile-sec-4 img{display: block;margin: 0 auto 20px;max-width: 270px;}
    .profile-sec-5 .inner-area{padding: 40px 0;}
    .profile-sec-5 p{font-size: 19px;}
    /*------DholeraSIR Page------*/
    .dholera-sec-1{padding: 40px 0;}
    .dholera-sec-1 .img-area{margin-top: 20px;height: auto;}
    .dholera-sec-3 img{margin-bottom: 20px;}
    .dholera-sec-4 .connectivity-card{padding: 30px 15px;}
    .dholera-sec-4 .connectivity-card .title_name img.icon{margin: 0; width: 60px;}
    .dholera-sec-4 img{display: block;margin: 20px auto 0;max-width: 500px;width: 100%;}
    /*------------*/
    .dholera-external.activation-area .gallery-image{margin: auto;max-width: 480px;}
    .dholera-external.activation-area .gallery-image img{max-height: 500px;object-fit: contain;}
    /*------------*/
    div[class*="activation-sec"] .gallery-image{margin: 30px auto 0;width: fit-content;}
    div[class*="activation-sec"] .gallery-image img{width: 100%;max-width: 500px;max-height: 370px;}
    /*------Investment Page------*/
    .details_list li{width: calc(100% - 10px);}
    .invest-sec-1 .invest-carousel{margin: 20px auto 0;max-width: 400px;}
    .invest-sec-4 .invest-carousel{margin: 20px auto 0;max-width: 700px;}
    /*------Contact Page------*/
    .contact-detail-area div[class*='col']:first-child::after{right: 15px;width: calc(100% - 30px);height: 1px;background-image: linear-gradient(to right, rgb(68 68 68/ 0), #444, rgb(68 68 68/ 0));}
}
@media only screen and (max-width: 767px){
    .slider_details{max-width: 540px;}
    .slider_details h1{font-size: 25px;}
    .slider_details p{font-size: 14px;}
    .slider_details .button_style{margin-top: 20px;padding: 12px 15px;font-size: 12px;}

    .home_slider .carousel-control-next, .home_slider .carousel-control-prev{height: 30px;width: 30px;bottom: 10px;}
    .home_slider .carousel-control-next{left: 62px;}
    .home_slider .carousel-control-prev:after, .home_slider .carousel-control-next:after{height: 30px;width: 30px;background-size: 15px;}
    .smart_city_direction{max-width: 720px;}
    .smart_city_direction .swiper-pagination{max-width: 355px;}
    .footer_list h3{font-size: 14px;}
    .footer_list ul li{padding: 2px 0px 8px;line-height: 1.0;}
    .footer_list ul li a, .footer_list p{font-size: 13px;}
    .footer_list ul li a{line-height: 1.1;}
    .footer_copyright ul{padding: 12px 5px;}
    .footer_copyright ul li, .footer_copyright ul li a{font-size: 13px;}

    .home_dholera_smart_city_slide{max-width: 450px;margin: 25px auto 0;}

    /*------Inner Page------*/
    .inner-banner{min-height: 120px;}
    .inner-banner .banner-content{min-height: 120px;}
    .inner-banner .banner-content h3{font-size: 32px;}
    /*------Company Profile Page------*/
    .md-detail{margin-bottom: 20px;}
    .md-detail .md-title{font-size: 24px;}
    .md-detail .md-title span{font-size: 12px;}
    .md-detail .md-designation{font-size: 14px;white-space: unset;}
    .tab-accordion .accordion-body .title_name h2{font-size: 27px;}
    .profile-sec-5 .inner-area{position: unset;}
    .profile-sec-5 .bg-area{position: absolute;bottom: 0;left: 0;}
    .profile-sec-5 .bg-area img{margin: 0;max-width: 100%;}
    .profile-sec-5 img{display: block;margin: 20px auto 0;max-width: 47%;}
    /*------DholeraSIR Page------*/
    .dholera-sec-2 ul.home_investment_list li{width: 240px;}
    /*------Contact Page------*/
    .contact-detail-area div[class*='col']::after{right: 15px;width: calc(100% - 30px);height: 1px;background-image: linear-gradient(to right, rgb(68 68 68/ 0), #444, rgb(68 68 68/ 0));}
    /*------Under Construction Page------*/
    .under-construction{min-height: 190px;}
    .under-construction .title_name span{font-size: 24px;}
    .under-construction .title_name h2{font-size: 42px;}
    #contact_inquiry .g-recaptcha {
        margin-bottom: 10px;
    }
    .field .form-control{
        height: 45px;
    }
    .field label{
        font-size: 14px;
        top: 13px;
    }
    .field label.shift{
        font-size: 14px;
        left: 12px;
    }
}
@media only screen and (max-width: 575px){
    .home_slider .carousel-item img {position: absolute;top: 0;left: 0;width: 100%;height: 100%;object-fit: cover;object-position: bottom;}
    .slider_details{margin: 0;padding: 20px 15px;width: 100%;max-width: 320px;min-height: 170px;position: relative;top: 0;left: 0;transform: unset;}
    .slider_details h1{font-size: 17px;line-height: 1.2;}
    .slider_details p{font-size: 11px;line-height: 1.3;white-space: unset;}
    .slider_details .button_style{display: none;}

    .title_name{padding-left: 10px;padding-right: 10px;}
    .title_name span{font-size: 13px;}
    .title_name h2{font-size: 28px;}
    .title_name h4{font-size: 16px;}
    p{font-size: 14px;}
    ul.list_point li{font-size: 14px;}

    .home_about_details a, .home_dholera_sir a, .home_investment_destination a{margin: 20px 0 0 10px;}
    .home_dholera_sir_right{margin: 30px 15px 0 15px;width: calc(100% - 30px);}
    .home_investment_destination{padding: 60px 0;}
    .home_investment_list .card{margin: 0 auto;width: 200px;}

    .home_dholera_smart_city_slide{margin-top: 0px;}
    .smart_city_direction{max-width: 540px;bottom: 20px;}
    .smart_city_direction .swiper-button-next, .smart_city_direction .swiper-button-prev{height: 50px;width: 50px;}
    .swiper-button-next, .swiper-rtl .swiper-button-prev{right: var(--swiper-navigation-sides-offset,3px);}
    .swiper-button-prev, .swiper-rtl .swiper-button-next{left: var(--swiper-navigation-sides-offset,5px);}
    .smart_city_direction .swiper-pagination{max-width: 200px;}
    

    .footer_part_1{flex-direction: column;}
    .footer_part_1 .footer_logo{max-width: 230px;}
    .footer_part_1 ul.footer_social_list{margin-top: 20px;}
    .footer_copyright ul{flex-direction: column;justify-content: center;text-align: center;}
    #request_quote .modal-dialog .modal-content .modal-body{padding: 30px 15px;}
    #request_quote h2{font-size: 26px;}

    .inner-banner .banner-content h3{font-size: 25px;}
    /*------Company Profile Page------*/
    .profile-area .profile-title{font-size: 21px;}
    .tab-accordion .accordion-item .accordion-button{padding: 10px 10px 10px 10px;}
    .tab-accordion .accordion-body .title_name h2{font-size: 24px;}
    .profile-sec-5 .bg-area{width: 100%;height: 100%;}
    .profile-sec-5 .bg-area img{margin: auto 0 0 0;width: 100%;height: 60%;opacity: 50%;object-fit: cover;object-position: 75%;position: absolute;bottom: 0;}
    .profile-sec-5 img{max-width: 260px;}
    .profile-sec-5 p{font-size: 17px;}
    /*------DholeraSIR Page------*/
    .dholera-sec-4 .connectivity-card .title_name img.icon{left: 0;right: unset;width: 45px;opacity: 1;filter: brightness(0)opacity(0.5);}
    .dholera-sec-4 .connectivity-card .title_name span,
    .dholera-sec-4 .connectivity-card .title_name h2{margin-left: 45px;}
    .dholera-sec-4 .connectivity-card .title_name h2{font-size: 22px;}
    /*------Contact Page------*/
    .contact-form-area{padding: 50px 15px 60px;}
    .contact-detail-area .contact-detail-card{padding: 25px 15px;}
    /*------Under Construction Page------*/
    .under-construction{min-height: 100px;}
    .under-construction .title_name span{font-size: 16px;}
    .under-construction .title_name h2{font-size: 27px;}
    
}
@media only screen and (max-width:420px){
    /*------Gallery Page------*/
    .image-container{display: flex;flex-direction: column;}
}
@media only screen and (max-width: 399px){
    header.top_header .navbar .navbar_logo a img{max-width: 200px;}
    header.top_header .navbar ul li a{padding: 12px 10px;}
    header.top_header .navbar .nav-item.logo{max-width: 90%;}
    header.top_header .navbar .nav-item.logo a{padding: 12px 15px;}
    header.top_header .navbar ul li.arrow-none a{margin: 15px 10px 0 10px;}
    header.top_header .navbar ul li.nav-item.dropdown a{padding: 12px 30px 12px 10px;}
    header.top_header .navbar ul li.nav-item.dropdown ul li a{font-size: 14px;}
    header.top_header .navbar ul li.nav-item.dropdown ul li a:before{top: 16px;}
    header.top_header .navbar ul li.nav-item.dropdown ul li a:after{top: 14px;}
    header.top_header .navbar ul.navbar-nav .dropdown-menu{margin: 0 20px 0 10px;}

    .navbar-toggler{margin: 0 5px 0 0;}
    .navbar-toggler .hamburger .line{margin: 5px auto;width: 25px;height: 2px;}
    
    .navbar-collapse{width: 260px;}
    .navbar-collapse.collapse:not(.show){left: -260px;}
    .navbar-toggler:not(.collapsed) .hamburger .line:nth-child(1){-webkit-transform: translateY(7px);-ms-transform: translateY(7px);-o-transform: translateY(7px);transform: translateY(7px);}
    .navbar-toggler:not(.collapsed) .hamburger .line:nth-child(3){-webkit-transform: translateY(-7px) rotate(90deg);-ms-transform: translateY(-7px) rotate(90deg);-o-transform: translateY(-7px) rotate(90deg);transform: translateY(-7px) rotate(90deg);}    
    /*------Contact Page------*/
    .contact-detail-area .contact-detail-card p.address{white-space: unset;}
}


